import React from 'react';
import purebem from 'purebem';
import FoundationTableCellValue from './FoundationTableCellValue';
import './FoundationTableCellDualValue.scss';
export default function FoundationTableCellDualValue(_ref) {
  var _ref$canExpand = _ref.canExpand,
      canExpand = _ref$canExpand === void 0 ? true : _ref$canExpand,
      columnName = _ref.columnName,
      _ref$subValue = _ref.subValue,
      subValue = _ref$subValue === void 0 ? null : _ref$subValue,
      _ref$ui = _ref.ui,
      ui = _ref$ui === void 0 ? [] : _ref$ui,
      value = _ref.value;
  var block = purebem('foundation-table-cell-dual-value');
  return /*#__PURE__*/React.createElement(FoundationTableCellValue, {
    canExpand: canExpand,
    columnName: columnName,
    ui: ui
  }, /*#__PURE__*/React.createElement("div", {
    className: block()
  }, /*#__PURE__*/React.createElement("div", {
    className: block('value')
  }, value), subValue !== null ? /*#__PURE__*/React.createElement("div", {
    className: block('sub-value')
  }, "(", subValue, ")") : null));
}
//# sourceMappingURL=FoundationTableCellDualValue.js.map