# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [3.4.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@3.3.1...@billogram/foundation-table@3.4.0) (2021-05-18)

### Features

* Add option for expanding row when clicking cell ([10e9fd15](https://github.com/billogram/frontend-foundation/commit/10e9fd15))



## [3.3.1](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@3.3.0...@billogram/foundation-table@3.3.1) (2021-05-17)

**Note:** Version bump only for package @billogram/foundation-table



## [3.3.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@3.2.5...@billogram/foundation-table@3.3.0) (2021-05-11)

### Bug Fixes

* Use correct type for tooltip prop ([9a4f73c2](https://github.com/billogram/frontend-foundation/commit/9a4f73c2))
* Increase width for llts to better fit English locale ([0dc75418](https://github.com/billogram/frontend-foundation/commit/0dc75418))


### Features

* Add optional tooltip to table cell icon ([45fb9b87](https://github.com/billogram/frontend-foundation/commit/45fb9b87))



## [3.2.5](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@3.2.4...@billogram/foundation-table@3.2.5) (2021-05-04)

**Note:** Version bump only for package @billogram/foundation-table



## [3.2.4](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@3.2.3...@billogram/foundation-table@3.2.4) (2021-04-14)

**Note:** Version bump only for package @billogram/foundation-table



## [3.2.3](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@3.2.2...@billogram/foundation-table@3.2.3) (2021-03-10)

### Bug Fixes

* Set max height for value table cells ([318c7b55](https://github.com/billogram/frontend-foundation/commit/318c7b55))
* Fix type of search query prop ([a5f008aa](https://github.com/billogram/frontend-foundation/commit/a5f008aa))



## [3.2.2](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@3.2.1...@billogram/foundation-table@3.2.2) (2021-03-08)

**Note:** Version bump only for package @billogram/foundation-table



## [3.2.1](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@3.2.0...@billogram/foundation-table@3.2.1) (2021-03-05)

**Note:** Version bump only for package @billogram/foundation-table



## [3.2.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@3.1.2...@billogram/foundation-table@3.2.0) (2021-03-02)

### Bug Fixes

* Use lightbox prosumer ([91d0e143](https://github.com/billogram/frontend-foundation/commit/91d0e143))


### Features

* Implement FoundationTableCellLightboxButton ([ccd04d04](https://github.com/billogram/frontend-foundation/commit/ccd04d04))



## [3.1.2](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@3.1.1...@billogram/foundation-table@3.1.2) (2021-02-15)

**Note:** Version bump only for package @billogram/foundation-table



## [3.1.1](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@3.1.0...@billogram/foundation-table@3.1.1) (2021-02-04)

### Bug Fixes

* Sync dependency versions ([04decf10](https://github.com/billogram/frontend-foundation/commit/04decf10))



## [3.1.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@3.0.0...@billogram/foundation-table@3.1.0) (2021-02-02)

### Bug Fixes

* Children should be optional ([0aa75904](https://github.com/billogram/frontend-foundation/commit/0aa75904))
* Fix correct behavior for toggle ([c34cba43](https://github.com/billogram/frontend-foundation/commit/c34cba43))
* Update background color and add border ([6417ed02](https://github.com/billogram/frontend-foundation/commit/6417ed02))
* Use same border color as outer border ([e9bc87ba](https://github.com/billogram/frontend-foundation/commit/e9bc87ba))
* Remove border from expand result ([462954d9](https://github.com/billogram/frontend-foundation/commit/462954d9))
* Toggling from one action to another should keep value expanded ([0be73bee](https://github.com/billogram/frontend-foundation/commit/0be73bee))


### Features

* Use @billogram/history ([1a34a4a4](https://github.com/billogram/frontend-foundation/commit/1a34a4a4))



## [3.0.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@2.1.1...@billogram/foundation-table@3.0.0) (2021-01-21)

### Bug Fixes

* Update order of generic arguments ([d4342e9a](https://github.com/billogram/frontend-foundation/commit/d4342e9a))
* Update name of generic argument ([5b117de3](https://github.com/billogram/frontend-foundation/commit/5b117de3))
* Use never type for additional data ([42af0b14](https://github.com/billogram/frontend-foundation/commit/42af0b14))
* Fixes after merge ([6185be55](https://github.com/billogram/frontend-foundation/commit/6185be55))


### Features

* Add highlight to expand result property ([332eb02f](https://github.com/billogram/frontend-foundation/commit/332eb02f))
* Rework (list) data providers ([77bc5508](https://github.com/billogram/frontend-foundation/commit/77bc5508))
* Rework table row expand components ([c1ec5f6d](https://github.com/billogram/frontend-foundation/commit/c1ec5f6d))
* Add error boundary to table row ([77b95158](https://github.com/billogram/frontend-foundation/commit/77b95158))
* Add setWith and toggleWith to table row expand ([68319bf3](https://github.com/billogram/frontend-foundation/commit/68319bf3))


### BREAKING CHANGES

* The order of the generic arguments have been updated.
* This will enforce the correct data type.
* There are major breaking changes to
- foundation-data-provider
- foundation-list-data-provider
- foundation-table
* There are a few breaking changes here:
- the TableRowExpandResultGroup prop is now TableRowExpand
- spinner/error handling has been moved to TableRowExpandResultGroup
- there is a new root TableRowExpandResultGroupSection



## [2.1.1](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@2.1.0...@billogram/foundation-table@2.1.1) (2021-01-13)

### Bug Fixes

* Refactor FoundationTableCellAsyncButton ([781c4abd](https://github.com/billogram/frontend-foundation/commit/781c4abd))



## [2.1.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@2.0.0...@billogram/foundation-table@2.1.0) (2021-01-10)

### Bug Fixes

* Use arrow functions for useCallback callbacks ([8ee4239e](https://github.com/billogram/frontend-foundation/commit/8ee4239e))
* Prefer React import ([40e8d46a](https://github.com/billogram/frontend-foundation/commit/40e8d46a))
* Fix @typescript-eslint/naming-convention ([c04296e0](https://github.com/billogram/frontend-foundation/commit/c04296e0))
* Fix react/jsx-no-useless-fragment ([dd348642](https://github.com/billogram/frontend-foundation/commit/dd348642))
* Fix react/jsx-no-bind ([96aaae62](https://github.com/billogram/frontend-foundation/commit/96aaae62))
* Fix @typescript-eslint/no-base-to-string ([1ad8cda2](https://github.com/billogram/frontend-foundation/commit/1ad8cda2))
* Fix linting in foundation-table ([8de492f8](https://github.com/billogram/frontend-foundation/commit/8de492f8))
* Fix background/border color for various search result states ([86327565](https://github.com/billogram/frontend-foundation/commit/86327565))
* Update condition for table title ([a64ddee7](https://github.com/billogram/frontend-foundation/commit/a64ddee7))


### Features

* Upgrade React ([978bf30e](https://github.com/billogram/frontend-foundation/commit/978bf30e))
* Pass optional error message to table row expand result ([6e0c3c01](https://github.com/billogram/frontend-foundation/commit/6e0c3c01))



## [2.0.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@1.11.0...@billogram/foundation-table@2.0.0) (2020-06-17)

### Bug Fixes

* Update components that use useToggle ([71890e9e](https://github.com/billogram/frontend-foundation/commit/71890e9e))


### Features

* Rework the FoundationListDataProviderContext ([83a17cde](https://github.com/billogram/frontend-foundation/commit/83a17cde))
* Rework the FoundationDataProviderContext ([1b5d7896](https://github.com/billogram/frontend-foundation/commit/1b5d7896))
* Rework table row context ([504cb487](https://github.com/billogram/frontend-foundation/commit/504cb487))
* Rework handle in table row context ([7e7f6c7d](https://github.com/billogram/frontend-foundation/commit/7e7f6c7d))
* Rename search query to search terms ([b2d2476f](https://github.com/billogram/frontend-foundation/commit/b2d2476f))
* Rework the table row group context ([071a3196](https://github.com/billogram/frontend-foundation/commit/071a3196))
* Add support for cursor ([f07fcdcf](https://github.com/billogram/frontend-foundation/commit/f07fcdcf))


### BREAKING CHANGES

* This completely changes how the
@billogram/foundation-list-data-provider works.
* This completely changes how the
@billogram/foundation-data-provider works.
* Rename table row context related components etc.
* Change the API of handle in the table row context.
* Rename searchQuery to searchTerms.
* Change the API of the table row group context.
* The fetch data API and metadata have changed.



## [1.11.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@1.10.0...@billogram/foundation-table@1.11.0) (2020-06-11)

### Bug Fixes

* Update table cell menu component ([03db3cc8](https://github.com/billogram/frontend-foundation/commit/03db3cc8))


### Features

* Make it possible to pass a custom formatting function ([1dea24e0](https://github.com/billogram/frontend-foundation/commit/1dea24e0))



## [1.10.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@1.9.0...@billogram/foundation-table@1.10.0) (2020-06-03)

### Bug Fixes

* Use correct border color (handled, highlighted) for expansion ([30bfd718](https://github.com/billogram/frontend-foundation/commit/30bfd718))
* Use expanded, handled, and highlighted colors on mobile ([e9414748](https://github.com/billogram/frontend-foundation/commit/e9414748))
* Refactor expanded styles ([2ee2c665](https://github.com/billogram/frontend-foundation/commit/2ee2c665))
* Update highlighted colors ([0ba5aabc](https://github.com/billogram/frontend-foundation/commit/0ba5aabc))


### Features

* Add handled functionality to table row group ([77ca5a8c](https://github.com/billogram/frontend-foundation/commit/77ca5a8c))



## [1.9.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@1.8.1...@billogram/foundation-table@1.9.0) (2020-06-01)

### Features

* Make it possible to remove a table row ([f1a408b4](https://github.com/billogram/frontend-foundation/commit/f1a408b4))



## [1.8.1](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@1.8.0...@billogram/foundation-table@1.8.1) (2020-05-29)

### Bug Fixes

* Should highlight/unhighlight row when opening/closing lightbox ([daa1ce9e](https://github.com/billogram/frontend-foundation/commit/daa1ce9e))



## [1.8.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@1.7.2...@billogram/foundation-table@1.8.0) (2020-05-26)

### Features

* Support lightbox in table cell menu ([6fb87269](https://github.com/billogram/frontend-foundation/commit/6fb87269))



## [1.7.2](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@1.7.1...@billogram/foundation-table@1.7.2) (2020-03-19)

### Bug Fixes

* Remove max-height for table rows ([15faca4b](https://github.com/billogram/frontend-foundation/commit/15faca4b))



## [1.7.1](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@1.7.0...@billogram/foundation-table@1.7.1) (2020-02-26)

### Bug Fixes

* Make sure that header cell takes entire width of column ([08004840](https://github.com/billogram/frontend-foundation/commit/08004840))



## [1.7.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@1.6.2...@billogram/foundation-table@1.7.0) (2020-02-25)

### Bug Fixes

* Fix issues related to long text/words ([76d15c2e](https://github.com/billogram/frontend-foundation/commit/76d15c2e))
* Fix wrapping of long main + filter titles ([4f30171e](https://github.com/billogram/frontend-foundation/commit/4f30171e))


### Features

* Add FoundationTableDualCellValue ([90870bb5](https://github.com/billogram/frontend-foundation/commit/90870bb5))
* Add hidden to column definition ([7c350273](https://github.com/billogram/frontend-foundation/commit/7c350273))
* Add SCSS mixins for common table cell formats ([5749e850](https://github.com/billogram/frontend-foundation/commit/5749e850))
* Make it possible to add a sub-title to a column ([b0556bc8](https://github.com/billogram/frontend-foundation/commit/b0556bc8))



## [1.6.2](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@1.6.1...@billogram/foundation-table@1.6.2) (2020-02-20)

### Bug Fixes

* Matching of date and money ([10be8e02](https://github.com/billogram/frontend-foundation/commit/10be8e02))
* Fix return type of searchField ([782d7c9d](https://github.com/billogram/frontend-foundation/commit/782d7c9d))



## [1.6.1](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@1.6.0...@billogram/foundation-table@1.6.1) (2020-02-19)

### Bug Fixes

* Pass type to format functions ([060f412d](https://github.com/billogram/frontend-foundation/commit/060f412d))



## [1.6.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@1.5.2...@billogram/foundation-table@1.6.0) (2020-02-19)

### Bug Fixes

* Don't show scrollbar if not needed ([7cef8ad6](https://github.com/billogram/frontend-foundation/commit/7cef8ad6))


### Features

* Add common table type ([afef4010](https://github.com/billogram/frontend-foundation/commit/afef4010))



## [1.5.2](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@1.5.1...@billogram/foundation-table@1.5.2) (2020-02-14)

### Bug Fixes

* Add missing import ([797b38e2](https://github.com/billogram/frontend-foundation/commit/797b38e2))



## [1.5.1](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@1.5.0...@billogram/foundation-table@1.5.1) (2020-02-14)

### Bug Fixes

* Tweak margin for the search result overview component ([7bebabf6](https://github.com/billogram/frontend-foundation/commit/7bebabf6))
* Don't add unspecified sort by option if no sort columns ([172f95f1](https://github.com/billogram/frontend-foundation/commit/172f95f1))



## [1.5.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@1.4.0...@billogram/foundation-table@1.5.0) (2020-02-09)

### Bug Fixes

* Should be able to use ellipsis for main value table cell ([abb22797](https://github.com/billogram/frontend-foundation/commit/abb22797))


### Features

* Add filter title ([6c234ea3](https://github.com/billogram/frontend-foundation/commit/6c234ea3))
* Make it possible to have no icon ([c7d75692](https://github.com/billogram/frontend-foundation/commit/c7d75692))



## [1.4.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@1.3.1...@billogram/foundation-table@1.4.0) (2020-02-05)

### Features

* Add table cell icon component ([bb0546dc](https://github.com/billogram/frontend-foundation/commit/bb0546dc))
* Add set/unset/toggle transparent value for table row ([b4fefe77](https://github.com/billogram/frontend-foundation/commit/b4fefe77))



## [1.3.1](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@1.3.0...@billogram/foundation-table@1.3.1) (2020-02-03)

### Bug Fixes

* Fix alignment of ellipsis in table cell menu ([f250d782](https://github.com/billogram/frontend-foundation/commit/f250d782))
* Make sure sort dropdown doesn't break if initial sort by is missing ([f9fbe8e2](https://github.com/billogram/frontend-foundation/commit/f9fbe8e2))



## [1.3.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@1.2.0...@billogram/foundation-table@1.3.0) (2020-01-30)

### Bug Fixes

* Show pointer when hovering menu item ([20b13a73](https://github.com/billogram/frontend-foundation/commit/20b13a73))


### Features

* Make disabled optional in menu item ([ca602ce3](https://github.com/billogram/frontend-foundation/commit/ca602ce3))
* Implement useTableRowGroupContext ([9285cd7f](https://github.com/billogram/frontend-foundation/commit/9285cd7f))



## [1.2.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@1.1.0...@billogram/foundation-table@1.2.0) (2020-01-27)

### Bug Fixes

* Use toggle hook for table row group toggle states ([130ea4da](https://github.com/billogram/frontend-foundation/commit/130ea4da))


### Features

* Make it possible to update a table row ([f34c2525](https://github.com/billogram/frontend-foundation/commit/f34c2525))
* Add refetchTable function to row group context ([c8d50b97](https://github.com/billogram/frontend-foundation/commit/c8d50b97))
* Add a bit more padding to the left of the async button ([f231b03c](https://github.com/billogram/frontend-foundation/commit/f231b03c))
* Make it possible to hide async button ([5293a7ed](https://github.com/billogram/frontend-foundation/commit/5293a7ed))



## [1.1.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@1.0.1...@billogram/foundation-table@1.1.0) (2020-01-22)

### Bug Fixes

* Use 4px border-radius ([41cb8169](https://github.com/billogram/frontend-foundation/commit/41cb8169))
* Fix border radius for table rows ([f220e7fe](https://github.com/billogram/frontend-foundation/commit/f220e7fe))
* Update copy key for fetch more buttons ([8f4c1402](https://github.com/billogram/frontend-foundation/commit/8f4c1402))


### Features

* Move sort dropdown to caption ([bcfa4f56](https://github.com/billogram/frontend-foundation/commit/bcfa4f56))
* Include total count in table title ([f166e8cb](https://github.com/billogram/frontend-foundation/commit/f166e8cb))



## [1.0.1](https://github.com/billogram/frontend-foundation/compare/dbf5a8709119374207dd2d28f6ffeffac17d5871...@billogram/foundation-table@1.0.1) (2020-01-20)

### Bug Fixes

* Favor named exports for components ([5a5dc5c0](https://github.com/billogram/frontend-foundation/commit/5a5dc5c0))
* Export props ([06802c25](https://github.com/billogram/frontend-foundation/commit/06802c25))
* Rename button, error, spinner, and textbox packages ([bf794373](https://github.com/billogram/frontend-foundation/commit/bf794373))
* Move react-router to peer dependencies ([8695cf5d](https://github.com/billogram/frontend-foundation/commit/8695cf5d))
* Prefer record type ([78ef5921](https://github.com/billogram/frontend-foundation/commit/78ef5921))
* Prefer interface to type alias ([a9343e5b](https://github.com/billogram/frontend-foundation/commit/a9343e5b))
* Use dependencies instead of peer dependencies ([a1cbff4b](https://github.com/billogram/frontend-foundation/commit/a1cbff4b))


### Features

* Add typed contexts ([2c4b571d](https://github.com/billogram/frontend-foundation/commit/2c4b571d))
* Implement list data provider ([4c348b08](https://github.com/billogram/frontend-foundation/commit/4c348b08))
* Support additional table data ([68e7bf10](https://github.com/billogram/frontend-foundation/commit/68e7bf10))
* Implement FoundationTable ([b2a58d69](https://github.com/billogram/frontend-foundation/commit/b2a58d69))
* Scaffold out @billogram/foundation-table ([b46c18bb](https://github.com/billogram/frontend-foundation/commit/b46c18bb))


### BREAKING CHANGES

* Force the first release to start from 1.0.0.



## [1.0.0](https://github.com/billogram/frontend-foundation/compare/dbf5a8709119374207dd2d28f6ffeffac17d5871...@billogram/foundation-table@1.0.0) (2020-01-20)

### Bug Fixes

* Favor named exports for components ([5a5dc5c0](https://github.com/billogram/frontend-foundation/commit/5a5dc5c0))
* Export props ([06802c25](https://github.com/billogram/frontend-foundation/commit/06802c25))
* Rename button, error, spinner, and textbox packages ([bf794373](https://github.com/billogram/frontend-foundation/commit/bf794373))
* Move react-router to peer dependencies ([8695cf5d](https://github.com/billogram/frontend-foundation/commit/8695cf5d))
* Prefer record type ([78ef5921](https://github.com/billogram/frontend-foundation/commit/78ef5921))
* Prefer interface to type alias ([a9343e5b](https://github.com/billogram/frontend-foundation/commit/a9343e5b))
* Use dependencies instead of peer dependencies ([a1cbff4b](https://github.com/billogram/frontend-foundation/commit/a1cbff4b))


### Features

* Add typed contexts ([2c4b571d](https://github.com/billogram/frontend-foundation/commit/2c4b571d))
* Implement list data provider ([4c348b08](https://github.com/billogram/frontend-foundation/commit/4c348b08))
* Support additional table data ([68e7bf10](https://github.com/billogram/frontend-foundation/commit/68e7bf10))
* Implement FoundationTable ([b2a58d69](https://github.com/billogram/frontend-foundation/commit/b2a58d69))
* Scaffold out @billogram/foundation-table ([b46c18bb](https://github.com/billogram/frontend-foundation/commit/b46c18bb))


### BREAKING CHANGES

* Force the first release to start from 1.0.0.
