import React from 'react';
import purebem from 'purebem';
import { useTableRowInternal } from '../row/FoundationTableRowContextInternal';
import './FoundationTableRowExpandResultItem.scss';
export default function FoundationTableRowExpandResultItem(_ref) {
  var children = _ref.children;
  var block = purebem('foundation-table-row-expand-result-item');

  var _useTableRowInternal = useTableRowInternal(),
      handle = _useTableRowInternal.handle,
      highlight = _useTableRowInternal.highlight;

  return /*#__PURE__*/React.createElement("div", {
    className: block({
      handled: handle.value,
      highlighted: highlight.value
    })
  }, children);
}
//# sourceMappingURL=FoundationTableRowExpandResultItem.js.map