import React from 'react';
import purebem from 'purebem';
import { FoundationTooltip } from '@billogram/foundation-tooltip';
import FoundationTableCell from './FoundationTableCell';
import './FoundationTableCellIcon.scss';
export default function FoundationTableCellIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'black' : _ref$color,
      columnName = _ref.columnName,
      tooltip = _ref.tooltip,
      _ref$type = _ref.type,
      type = _ref$type === void 0 ? false : _ref$type;
  var block = purebem('foundation-table-cell-icon');
  return /*#__PURE__*/React.createElement(FoundationTableCell, {
    columnName: columnName
  }, /*#__PURE__*/React.createElement("div", {
    className: block()
  }, /*#__PURE__*/React.createElement(FoundationTooltip, {
    text: tooltip
  }, /*#__PURE__*/React.createElement("span", {
    className: block('icon', {
      color: color,
      type: type
    })
  }))));
}
//# sourceMappingURL=FoundationTableCellIcon.js.map